Package com.ocient.jdbc.proto

# Class PlanProtocol.FilterClause

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
com.ocient.jdbc.proto.PlanProtocol.FilterClause

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.FilterClauseOrBuilder`, `Serializable`

Enclosing class:
  PlanProtocol

    public static final class PlanProtocol.FilterClause
    extends com.google.protobuf.GeneratedMessageV3
    implements PlanProtocol.FilterClauseOrBuilder

    Represents a single "col/val op col/val" boolean statement
    Will never be "val op val"

Protobuf type `xg.db.sqlPlans.FilterClause`

See Also:
  Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type | Class | Description
--- | --- | ---
`static class` | `PlanProtocol.FilterClause.Builder` | Represents a single "col/val op col/val" boolean statement Will never be "val op val"
`static class` | `PlanProtocol.FilterClause.FilterOp` | Protobuf enum `xg.db.sqlPlans.FilterClause.FilterOp`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `LHS_FIELD_NUMBER` |
`static int` | `LHSISCOL_FIELD_NUMBER` |
`static int` | `LHSTYPE_FIELD_NUMBER` |
`static int` | `OP_FIELD_NUMBER` |
`static int` | `RHS_FIELD_NUMBER` |
`static int` | `RHSISCOL_FIELD_NUMBER` |
`static int` | `RHSTYPE_FIELD_NUMBER` |

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object obj)` |
`static PlanProtocol.FilterClause` | `getDefaultInstance()` |
`PlanProtocol.FilterClause` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`String` | `getLhs()` | Either a column name or a string representation of a literal
`com.google.protobuf.ByteString` | `getLhsBytes()` | Either a column name or a string representation of a literal
`boolean` | `getLhsIsCol()` | `bool lhsIsCol = 6;`
`PlanProtocol.SqlColType` | `getLhsType()` | The types are only meaningful if it is not a column
`int` | `getLhsTypeValue()` | The types are only meaningful if it is not a column
`PlanProtocol.FilterClause.FilterOp` | `getOp()` | `.xg.db.sqlPlans.FilterClause.FilterOp op = 2;`
`int` | `getOpValue()` | `.xg.db.sqlPlans.FilterClause.FilterOp op = 2;`
`com.google.protobuf.Parser<PlanProtocol.FilterClause>` | `getParserForType()` |
`String` | `getRhs()` | `string rhs = 3;`
`com.google.protobuf.ByteString` | `getRhsBytes()` | `string rhs = 3;`
`boolean` | `getRhsIsCol()` | `bool rhsIsCol = 7;`
`PlanProtocol.SqlColType` | `getRhsType()` | `.xg.db.sqlPlans.SqlColType rhsType = 5;`
`int` | `getRhsTypeValue()` | `.xg.db.sqlPlans.SqlColType rhsType = 5;`
`int` | `getSerializedSize()` |
`com.google.protobuf.UnknownFieldSet` | `getUnknownFields()` |
`int` | `hashCode()` |
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`static PlanProtocol.FilterClause.Builder` | `newBuilder()` |
`static PlanProtocol.FilterClause.Builder` | `newBuilder​(PlanProtocol.FilterClause prototype)` |
`PlanProtocol.FilterClause.Builder` | `newBuilderForType()` |
`protected PlanProtocol.FilterClause.Builder` | `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)` |
`static PlanProtocol.FilterClause` | `parseDelimitedFrom​(InputStream input)` |
`static PlanProtocol.FilterClause` | `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static PlanProtocol.FilterClause` | `parseFrom​(byte[] data)` |
`static PlanProtocol.FilterClause` | `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static PlanProtocol.FilterClause` | `parseFrom​(com.google.protobuf.ByteString data)` |
`static PlanProtocol.FilterClause` | `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static PlanProtocol.FilterClause` | `parseFrom​(com.google.protobuf.CodedInputStream input)` |
`static PlanProtocol.FilterClause` | `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static PlanProtocol.FilterClause` | `parseFrom​(InputStream input)` |
`static PlanProtocol.FilterClause` | `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static PlanProtocol.FilterClause` | `parseFrom​(ByteBuffer data)` |
`static PlanProtocol.FilterClause` | `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static com.google.protobuf.Parser<PlanProtocol.FilterClause>` | `parser()` |
`PlanProtocol.FilterClause.Builder` | `toBuilder()` |
`void` | `writeTo​(com.google.protobuf.CodedOutputStream output)` |

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newInstance, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

## Field Details

### LHS_FIELD_NUMBER

public static final int LHS_FIELD_NUMBER

See Also:
  Constant Field Values

### OP_FIELD_NUMBER

public static final int OP_FIELD_NUMBER

See Also:
  Constant Field Values

### RHS_FIELD_NUMBER

public static final int RHS_FIELD_NUMBER

See Also:
  Constant Field Values

### LHSTYPE_FIELD_NUMBER

public static final int LHSTYPE_FIELD_NUMBER

See Also:
  Constant Field Values

### RHSTYPE_FIELD_NUMBER

public static final int RHSTYPE_FIELD_NUMBER

See Also:
  Constant Field Values

### LHSISCOL_FIELD_NUMBER

public static final int LHSISCOL_FIELD_NUMBER

See Also:
  Constant Field Values

### RHSISCOL_FIELD_NUMBER

public static final int RHSISCOL_FIELD_NUMBER

See Also:
  Constant Field Values

## Method Details

### getUnknownFields

public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

### getLhs

public String getLhs()

    Either a column name or a string representation of a literal

`string lhs = 1;`

Specified by:
  `getLhs` in interface `PlanProtocol.FilterClauseOrBuilder`

### getLhsBytes

public com.google.protobuf.ByteString getLhsBytes()

    Either a column name or a string representation of a literal

`string lhs = 1;`

Specified by:
  `getLhsBytes` in interface `PlanProtocol.FilterClauseOrBuilder`

### getOpValue

public int getOpValue()
`.xg.db.sqlPlans.FilterClause.FilterOp op = 2;`

Specified by:
  `getOpValue` in interface `PlanProtocol.FilterClauseOrBuilder`

### getOp

public PlanProtocol.FilterClause.FilterOp getOp()
`.xg.db.sqlPlans.FilterClause.FilterOp op = 2;`

Specified by:
  `getOp` in interface `PlanProtocol.FilterClauseOrBuilder`

### getRhs

public String getRhs()
`string rhs = 3;`

Specified by:
  `getRhs` in interface `PlanProtocol.FilterClauseOrBuilder`

### getRhsBytes

public com.google.protobuf.ByteString getRhsBytes()
`string rhs = 3;`

Specified by:
  `getRhsBytes` in interface `PlanProtocol.FilterClauseOrBuilder`

### getLhsTypeValue

public int getLhsTypeValue()

    The types are only meaningful if it is not a column

`.xg.db.sqlPlans.SqlColType lhsType = 4;`

Specified by:
  `getLhsTypeValue` in interface `PlanProtocol.FilterClauseOrBuilder`

### getLhsType

public PlanProtocol.SqlColType getLhsType()

    The types are only meaningful if it is not a column

`.xg.db.sqlPlans.SqlColType lhsType = 4;`

Specified by:
  `getLhsType` in interface `PlanProtocol.FilterClauseOrBuilder`

### getRhsTypeValue

public int getRhsTypeValue()
`.xg.db.sqlPlans.SqlColType rhsType = 5;`

Specified by:
  `getRhsTypeValue` in interface `PlanProtocol.FilterClauseOrBuilder`

### getRhsType

public PlanProtocol.SqlColType getRhsType()
`.xg.db.sqlPlans.SqlColType rhsType = 5;`

Specified by:
  `getRhsType` in interface `PlanProtocol.FilterClauseOrBuilder`

### getLhsIsCol

public boolean getLhsIsCol()
`bool lhsIsCol = 6;`

Specified by:
  `getLhsIsCol` in interface `PlanProtocol.FilterClauseOrBuilder`

### getRhsIsCol

public boolean getRhsIsCol()
`bool rhsIsCol = 7;`

Specified by:
  `getRhsIsCol` in interface `PlanProtocol.FilterClauseOrBuilder`

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

### writeTo

public void writeTo​(com.google.protobuf.CodedOutputStream output) throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

### equals

public boolean equals​(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

### parseFrom

public static PlanProtocol.FilterClause parseFrom​(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static PlanProtocol.FilterClause parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static PlanProtocol.FilterClause parseFrom​(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static PlanProtocol.FilterClause parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static PlanProtocol.FilterClause parseFrom​(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static PlanProtocol.FilterClause parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static PlanProtocol.FilterClause parseFrom​(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static PlanProtocol.FilterClause parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static PlanProtocol.FilterClause parseDelimitedFrom​(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static PlanProtocol.FilterClause parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static PlanProtocol.FilterClause parseFrom​(com.google.protobuf.CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static PlanProtocol.FilterClause parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public PlanProtocol.FilterClause.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

public static PlanProtocol.FilterClause.Builder newBuilder()

### newBuilder

public static PlanProtocol.FilterClause.Builder newBuilder​(PlanProtocol.FilterClause prototype)

### toBuilder

public PlanProtocol.FilterClause.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

protected PlanProtocol.FilterClause.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstance

public static PlanProtocol.FilterClause getDefaultInstance()

### parser

public static com.google.protobuf.Parser<PlanProtocol.FilterClause> parser()

### getParserForType

public com.google.protobuf.Parser<PlanProtocol.FilterClause> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstanceForType

public PlanProtocol.FilterClause getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`